package com.ynet.life.sujrb.action;

import com.ynet.gene.accesscontrol.GENEAccessException;
import com.ynet.gene.accesscontrol.GENEConcurrentAccessException;
import com.ynet.life.action.IdWorker;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.credit.util.EncryptUtils;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.PropertiesFile;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.DecimalFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Properties;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONArray;
import net.sf.json.JSONException;
import net.sf.json.JSONObject;
import net.sourceforge.pinyin4j.PinyinHelper;
import net.sourceforge.pinyin4j.format.HanyuPinyinCaseType;
import net.sourceforge.pinyin4j.format.HanyuPinyinOutputFormat;
import net.sourceforge.pinyin4j.format.HanyuPinyinToneType;
import net.sourceforge.pinyin4j.format.HanyuPinyinVCharType;
import net.sourceforge.pinyin4j.format.exception.BadHanyuPinyinOutputFormatCombination;
import org.apache.commons.lang3.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/SCFPlatformServlet.class */
public class SCFPlatformServlet extends HttpServlet {
    private static String queryCorSqlByCode = "SELECT FCI_CORNO FROM fsp_cor_inf_szyq WHERE PCI_ORGCODE=?";
    private static String queryCorSql = "SELECT FCI_CORNO FROM fsp_cor_inf_szyq WHERE PCI_NAMECN=? ";
    private static String queryBranchSql = "SELECT FCB_NAME,FCB_FINANCECLASSNO FROM fsp_cor_branch_szyq WHERE FCB_FINANCEID=? ";
    private static String queryUserSql = "SELECT usr_id FROM fsp_user INNER JOIN fsp_user_role_rel ON usr_id = URR_USERID INNER JOIN fsp_role ON URR_ROLEID = ROL_ID WHERE USR_NAME='需求管理员' AND USR_BRANCHID=? AND ROL_ID in ('000004','000008','000012','000014','000016','000018','000020')";
    private static String queryUserIdSql = "SELECT usr_id FROM fsp_user WHERE USR_ALIAS=? ";
    private static String queryCreSql = "SELECT CRE_FLOWNO,CRE_REDITAMT,CRE_REQBRANCHFLOWNO FROM fsp_credit_szyq WHERE CRE_GYLREQNO=?";
    private static String queryReqSql = "SELECT CRE_REQNO FROM fsp_cor_req_szyq WHERE CRE_GYLREQNO=?";
    private static String queryProSql = "SELECT FPR_FLOWNO,FPR_PRONAME FROM fsp_finance_product_szyq WHERE FPR_FINANCEID=? AND FPR_ISSUPPLYCHAIN='0' LIMIT 1";
    private static String queryLoanSql = "SELECT LOA_REQNO,LOA_REQRELFLOWNO,LOA_FLOWNO FROM fsp_loan WHERE LOA_GYLFLOWNO=?";
    private static String queryRepaySql = "SELECT RL_FLOWNO FROM fsp_repay_loan WHERE RL_GYLFLOWNO=?";
    private static String insertCorSql = "INSERT INTO fsp_cor_inf_szyq (FCI_CORNO,PCI_NAMECN,PCI_ORGCODE,PCI_CONNAME,PCI_CONTELE) VALUES (?,?,?,?,?)";
    private static String insertUserSql = "INSERT INTO  fsp_user (usr_id,USR_ALIAS,USR_PWD,USR_STT,USR_NAME,USR_BELONGBRH,USR_BRANCHID) \tVALUES (?,?,'1f82c942befda29b6ed487a51da199f78fce7f5','0',?,'2',?)";
    private static String insertRoleSql = "INSERT INTO  fsp_user_role_rel (URR_USERID,URR_ROLEID) \tVALUES (?,?)";
    private static String insertProSql = "INSERT INTO fsp_finance_product_szyq (FPR_FLOWNO,FPR_PRONAME,FPR_FINANCEID,FPR_STT,FPR_PRODUCTTYPE,FPR_POLICYTYPE,FPR_SCFPRO,FPR_ISSUPPLYCHAIN) VALUES (?,?,?,'0','0','1','1','0')";
    private static String insertReqSql = "INSERT INTO fsp_cor_req_szyq (CRE_REQNO,CRE_CORNO,CRE_FINANCETYPE,CRE_FINANCEAMT,CRE_FINANCETIME,CRE_STT,CRE_DIRFLAG,CRE_ISPUBLIC,CRE_FINANCEPURPOSE,CRE_FINANCESTATION,CRE_REMARK,CRE_CONNAME,CRE_CONPHONE,CRE_GYLREQNO,CRE_PUBTIME,CRE_STARTRATE,CRE_ENDRATE,CRE_GUATYPE) VALUES (?,?,'1',?,?,'01',?,'0',?,?,?,?,?,?,?,?,?,?)";
    private static String insertRelSql = "INSERT INTO fsp_req_cor_rel_szyq (RCR_FLOWNO,RCR_REQNO,RCR_FINANCEID,RCR_USERNO,RCR_FLOWSTT,RCR_OPSTT) VALUES (?,?,?,?,?,?)";
    private static String insertExamSql = "INSERT INTO fsp_req_examine (FRE_FLOWNO,FRE_REQBRANCHFLOWNO,FRE_REQNO,FRE_FINANCEID,FRE_USERNO,FRE_PRDFLOWNO,FRE_ISPOLICY,FRE_ASSIGNEXFLAG,FRE_DISTRIBUTION) VALUES (?,?,?,?,?,?,'1','0','1')";
    private static String insertCreditSql = "INSERT INTO fsp_credit_szyq (CRE_FLOWNO,CRE_REQBRANCHFLOWNO,CRE_REQNO,CRE_FINANCEID,CRE_USERNO,CRE_STARTDATE,CRE_ENDDATE,CRE_CORNO,CRE_CORNAME,CRE_DEALUSER,CRE_STT,CRE_CREDITTYPE,CRE_MODIFYFLAG,CRE_CREDITNO,CRE_REDITAMT,CRE_USERPHONE,CRE_GYLREQNO) VALUES (?,?,?,?,?,?,?,?,?,?,?,'0', '1',?,?,?,?)";
    private static String insertCreditGroupSql = "INSERT INTO fsp_credit_group_szyq (FCP_CREFLOWNO,FCP_REQNO,FCP_CREAMT,FCP_FINANCEID,FCP_GROUPNO,FCP_CREGUATYPE) VALUES (?,?,?,?,?,?)";
    private static String insertLoanSql = "INSERT INTO fsp_loan (LOA_FLOWNO,LOA_REQNO,LOA_FINANCEID,LOA_USERNO,LOA_AMT,LOA_LIMITDATE,LOA_STARTDATE,LOA_ENDDATE,LOA_BEGINRATE,LOA_ENDRATE,LOA_REDITAMT,LOA_GUATYPE,LOA_CORNO,LOA_CORNAME,LOA_STT,LOA_RAPAYSTT,LOA_GROUPNO,LOA_CREFLOWNO,LOA_REQRELFLOWNO,LOA_GYLFLOWNO) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
    private static String insertRepaySql = "INSERT INTO fsp_repay_loan (RL_FLOWNO,RL_LOAFLOWNO,RL_REQNO,RL_FINANCEID,RL_USERNO,RL_DATE,RL_AMT,RL_STT,RL_CORNO,RL_CORNAME,RL_REQBRANCHFLOWNO,RL_RAYNO,RL_GYLFLOWNO) VALUES (?,?,?,?,?,?,?,'2',?,?,?,?,?)";
    private static String updateReqSql = "UPDATE fsp_cor_req_szyq SET CRE_STT=? WHERE CRE_REQNO=?";
    private static String updateRelSql = "UPDATE fsp_req_cor_rel_szyq SET RCR_FLOWSTT=?,RCR_OPSTT=? WHERE RCR_FLOWNO=?";
    private static String updateLoanSql = "UPDATE fsp_loan SET LOA_STT='1',LOA_RAPAYSTT='2' WHERE LOA_FLOWNO=?";
    private static String insertFlowSql = "INSERT INTO fsp_req_ope_flow (ROF_FLOWNO,ROF_REQNO,ROF_CORNO,ROF_CORNAME,ROF_ORGCODE,ROF_ORGTYPE,ROF_FINANCEID,ROF_USERNO,ROF_USERNAME,ROF_FLOWSTT,ROF_OPSTT,ROF_REQSTT,ROF_REQRELFLOWNO) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)";
    private static String insertReqFlowSql = "INSERT INTO fsp_req_ope_flow (ROF_FLOWNO,ROF_REQNO,ROF_CORNO,ROF_CORNAME,ROF_ORGCODE,ROF_ORGTYPE,ROF_REQSTT,ROF_OPTIME) VALUES (?,?,?,?,?,?,?,?)";
    private static String insertFinSql = "INSERT INTO fsp_req_finance_rel (RFR_REQNO,RFR_FINANCEID) VALUES (?,?)";
    private static String insertLogSql = "INSERT INTO fsp_log_in (LMT_FLOWNO,LMT_LOGTYPE,LMT_OPTID,LMT_PARAM,LMT_RESULT) VALUES (?,?,?,?,?)";
    public static final Map<String, String> map = new HashMap() { // from class: com.ynet.life.sujrb.action.SCFPlatformServlet.1
        {
            put("000001", "000004");
            put("000004", "000014");
            put("000005", "000008");
            put("000006", "000012");
            put("000007", "000016");
            put("000008", "000018");
            put("000009", "000020");
        }
    };
    private String yyyyMMdd = "yyyyMMdd";
    private String df = "000000000";
    private String key = "";
    private String mode = "";
    IdWorker worker2 = IdWorker.getInstance();

    protected void doPost(HttpServletRequest request, HttpServletResponse response) {
        Trace.log("LifeComm", "-----开始获取数据-----");
        TranFailException tranFailException = null;
        Properties bankDBSourceProperties = PropertiesFile.getProperties("/properties/SCFPT.properties");
        this.mode = bankDBSourceProperties.getProperty("mode");
        this.key = bankDBSourceProperties.getProperty(String.valueOf(this.mode) + ".KEY");
        StringBuffer sb = new StringBuffer();
        JSONObject paramObject = new JSONObject();
        JSONObject resultObj = new JSONObject();
        String ec = "1";
        String em = "成功";
        TranFailException tranFailException2 = null;
        try {
            try {
                try {
                    tranFailException = LifeDBAccess.getConnection();
                    response.setContentType("application/json;charset=utf-8");
                    response.setCharacterEncoding("UTF-8");
                    tranFailException2 = response.getWriter();
                    request.setCharacterEncoding("utf-8");
                    InputStreamReader isr = new InputStreamReader((InputStream) request.getInputStream(), "UTF-8");
                    BufferedReader br = new BufferedReader(isr);
                    while (true) {
                        String s = br.readLine();
                        if (s == null) {
                            break;
                        } else {
                            sb.append(s);
                        }
                    }
                    String param = sb.toString();
                    System.out.println("原始=============================".concat(String.valueOf(param)));
                    String param2 = EncryptUtils.decrypt(param, this.key);
                    System.out.println("解密=============================".concat(String.valueOf(param2)));
                    paramObject = JSONObject.fromObject(param2);
                    System.out.println("最终=============================".concat(String.valueOf(paramObject)));
                    String type = paramObject.get("type").toString();
                    JSONArray jsAr = new JSONArray();
                    if ("pubReq".equals(type)) {
                        jsAr = pubReq(paramObject, tranFailException);
                    } else if ("credit".equals(type)) {
                        jsAr = credit(paramObject, tranFailException);
                    } else if ("loan".equals(type)) {
                        jsAr = loan(paramObject, tranFailException);
                    } else if ("repay".equals(type)) {
                        jsAr = repay(paramObject, tranFailException);
                    } else if ("register".equals(type)) {
                        jsAr = register(paramObject, tranFailException);
                    } else if ("finQuery".equals(type)) {
                        jsAr = finQuery(paramObject, tranFailException);
                        resultObj.put("data", jsAr);
                    } else {
                        ec = "0";
                        em = "请求类型错误";
                    }
                    if (jsAr.size() > 0 && !"finQuery".equals(type)) {
                        ec = "0";
                        em = "失败数据" + jsAr.toString();
                    }
                    resultObj.put("ec", ec);
                    resultObj.put("em", em);
                    tranFailException2.write(resultObj.toString());
                    TranFailException tranFailException3 = tranFailException2;
                    if (tranFailException3 != null) {
                        tranFailException3 = tranFailException2;
                        tranFailException3.close();
                    }
                    try {
                        try {
                            tranFailException.commit();
                            PreparedStatement insLog = tranFailException.prepareStatement(insertLogSql);
                            String logNo = String.valueOf(this.worker2.nextId());
                            insLog.setString(1, logNo);
                            insLog.setString(2, "4");
                            insLog.setString(3, "http://sme.sipac.gov.cn/sipifs/SCFPlatformServlet");
                            insLog.setString(4, paramObject.toString());
                            String result = ec == "0" ? em : "成功";
                            insLog.setString(5, result);
                            insLog.executeUpdate();
                            System.out.println(insLog);
                            tranFailException3 = tranFailException;
                            tranFailException3.commit();
                            try {
                                tranFailException3 = tranFailException;
                                LifeDBAccess.releaseConnection(tranFailException3);
                            } catch (TranFailException e) {
                                tranFailException3.printStackTrace();
                            }
                        } catch (Exception e2) {
                            tranFailException3.printStackTrace();
                            try {
                                LifeDBAccess.releaseConnection(tranFailException);
                            } catch (TranFailException e3) {
                                tranFailException.printStackTrace();
                            }
                        }
                    } finally {
                        try {
                            tranFailException3 = tranFailException;
                            LifeDBAccess.releaseConnection(tranFailException3);
                        } catch (TranFailException e4) {
                            tranFailException3.printStackTrace();
                        }
                    }
                } catch (Exception e5) {
                    e5.printStackTrace();
                    resultObj.put("ec", "0");
                    resultObj.put("em", "失败");
                    tranFailException2.write(resultObj.toString());
                    TranFailException tranFailException4 = tranFailException2;
                    if (tranFailException4 != null) {
                        tranFailException4 = tranFailException2;
                        tranFailException4.close();
                    }
                    try {
                        try {
                            tranFailException.commit();
                            PreparedStatement insLog2 = tranFailException.prepareStatement(insertLogSql);
                            String logNo2 = String.valueOf(this.worker2.nextId());
                            insLog2.setString(1, logNo2);
                            insLog2.setString(2, "4");
                            insLog2.setString(3, "http://sme.sipac.gov.cn/sipifs/SCFPlatformServlet");
                            insLog2.setString(4, paramObject.toString());
                            String result2 = "0" == "0" ? "失败" : "成功";
                            insLog2.setString(5, result2);
                            insLog2.executeUpdate();
                            System.out.println(insLog2);
                            tranFailException4 = tranFailException;
                            tranFailException4.commit();
                            try {
                                tranFailException4 = tranFailException;
                                LifeDBAccess.releaseConnection(tranFailException4);
                            } catch (TranFailException e6) {
                                tranFailException4.printStackTrace();
                            }
                        } catch (Exception e7) {
                            tranFailException4.printStackTrace();
                            TranFailException tranFailException5 = tranFailException;
                            try {
                                LifeDBAccess.releaseConnection(tranFailException5);
                            } catch (TranFailException e8) {
                                tranFailException5.printStackTrace();
                            }
                        }
                    } finally {
                    }
                }
            } catch (JSONException e9) {
                e9.printStackTrace();
                resultObj.put("ec", "0");
                resultObj.put("em", "数据格式错误");
                tranFailException2.write(resultObj.toString());
                TranFailException tranFailException6 = tranFailException2;
                if (tranFailException6 != null) {
                    tranFailException6 = tranFailException2;
                    tranFailException6.close();
                }
                try {
                    try {
                        tranFailException.commit();
                        PreparedStatement insLog3 = tranFailException.prepareStatement(insertLogSql);
                        String logNo3 = String.valueOf(this.worker2.nextId());
                        insLog3.setString(1, logNo3);
                        insLog3.setString(2, "4");
                        insLog3.setString(3, "http://sme.sipac.gov.cn/sipifs/SCFPlatformServlet");
                        insLog3.setString(4, paramObject.toString());
                        String result3 = "0" == "0" ? "数据格式错误" : "成功";
                        insLog3.setString(5, result3);
                        insLog3.executeUpdate();
                        System.out.println(insLog3);
                        tranFailException6 = tranFailException;
                        tranFailException6.commit();
                        try {
                            tranFailException6 = tranFailException;
                            LifeDBAccess.releaseConnection(tranFailException6);
                        } catch (TranFailException e10) {
                            tranFailException6.printStackTrace();
                        }
                    } catch (Exception e11) {
                        tranFailException6.printStackTrace();
                        TranFailException tranFailException7 = tranFailException;
                        try {
                            LifeDBAccess.releaseConnection(tranFailException7);
                        } catch (TranFailException e12) {
                            tranFailException7.printStackTrace();
                        }
                    }
                } finally {
                }
            }
        } catch (Throwable th) {
            resultObj.put("ec", ec);
            resultObj.put("em", em);
            tranFailException2.write(resultObj.toString());
            TranFailException tranFailException8 = tranFailException2;
            if (tranFailException8 != null) {
                tranFailException8 = tranFailException2;
                tranFailException8.close();
            }
            try {
                try {
                    tranFailException.commit();
                    PreparedStatement insLog4 = tranFailException.prepareStatement(insertLogSql);
                    String logNo4 = String.valueOf(this.worker2.nextId());
                    insLog4.setString(1, logNo4);
                    insLog4.setString(2, "4");
                    insLog4.setString(3, "http://sme.sipac.gov.cn/sipifs/SCFPlatformServlet");
                    insLog4.setString(4, paramObject.toString());
                    String result4 = ec == "0" ? em : "成功";
                    insLog4.setString(5, result4);
                    insLog4.executeUpdate();
                    System.out.println(insLog4);
                    tranFailException8 = tranFailException;
                    tranFailException8.commit();
                    try {
                        tranFailException8 = tranFailException;
                        LifeDBAccess.releaseConnection(tranFailException8);
                    } catch (TranFailException e13) {
                        tranFailException8.printStackTrace();
                    }
                } catch (Exception e14) {
                    tranFailException8.printStackTrace();
                    TranFailException tranFailException9 = tranFailException;
                    try {
                        LifeDBAccess.releaseConnection(tranFailException9);
                    } catch (TranFailException e15) {
                        tranFailException9.printStackTrace();
                    }
                }
                throw th;
            } finally {
                try {
                    tranFailException8 = tranFailException;
                    LifeDBAccess.releaseConnection(tranFailException8);
                } catch (TranFailException e16) {
                    tranFailException8.printStackTrace();
                }
            }
        }
    }

    private String queryCorNo(Connection connection, String code, String corName, String name, String phone) throws TranFailException, SQLException {
        String corNo;
        PreparedStatement ps = connection.prepareStatement(queryCorSqlByCode);
        ps.setString(1, code);
        ResultSet rs = ps.executeQuery();
        if (!StringUtils.isEmpty(corName)) {
            corName = corName.replace("(", "（").replace(")", "）");
        }
        if (rs.next()) {
            corNo = rs.getString(1);
        } else {
            PreparedStatement ps2 = connection.prepareStatement(queryCorSql);
            ps2.setString(1, corName);
            ResultSet executeQuery = ps2.executeQuery();
            if (executeQuery.next()) {
                corNo = executeQuery.getString(1);
            } else {
                corNo = "cor" + String.format("%08d", Integer.valueOf(Integer.parseInt(LifeDBAccess.getSequenceNo(connection, "corCorno"))));
                PreparedStatement ps3 = connection.prepareStatement(insertCorSql);
                ps3.setString(1, corNo);
                ps3.setString(2, corName);
                ps3.setString(3, code);
                ps3.setString(4, name);
                ps3.setString(5, phone);
                ps3.executeUpdate();
                PreparedStatement ps4 = connection.prepareStatement(insertRoleSql);
                ps4.setString(1, corNo);
                ps4.setString(2, "000003");
                ps4.executeUpdate();
            }
        }
        return corNo;
    }

    private String queryRole(Connection connection, String financeId) throws SQLException {
        String roleId = "";
        PreparedStatement ps = connection.prepareStatement(queryBranchSql);
        ps.setString(1, financeId);
        ResultSet rs = ps.executeQuery();
        if (rs.next()) {
            roleId = map.get(rs.getString(2));
        }
        return roleId;
    }

    private String queryUserId(Connection connection, String financeId) throws TranFailException, SQLException {
        String userId;
        String usr_alias;
        String roleId = queryRole(connection, financeId);
        PreparedStatement ps = connection.prepareStatement(queryUserSql);
        ps.setString(1, financeId);
        ResultSet rs = ps.executeQuery();
        System.out.println(ps);
        if (rs.next()) {
            userId = rs.getString(1);
        } else {
            PreparedStatement ps2 = connection.prepareStatement(queryUserIdSql);
            int i = 1;
            userId = "fin" + String.format("%08d", Integer.valueOf(Integer.parseInt(LifeDBAccess.getSequenceNo(connection, "corCorno"))));
            while (true) {
                usr_alias = String.valueOf("xqgly") + i;
                ps2.setString(1, usr_alias);
                ResultSet rs2 = ps2.executeQuery();
                System.out.println(ps2);
                if (!rs2.next()) {
                    break;
                }
                i++;
            }
            PreparedStatement insUser = connection.prepareStatement(insertUserSql);
            insUser.setString(1, userId);
            insUser.setString(2, usr_alias);
            insUser.setString(3, "需求管理员");
            insUser.setString(4, financeId);
            insUser.executeUpdate();
            System.out.println(insUser);
            PreparedStatement insRole = connection.prepareStatement(insertRoleSql);
            insRole.setString(1, userId);
            insRole.setString(2, roleId);
            insRole.executeUpdate();
            System.out.println(insRole);
        }
        return userId;
    }

    private String queryPro(Connection connection, String financeId) throws TranFailException, SQLException {
        String str;
        PreparedStatement ps = connection.prepareStatement(queryProSql);
        ps.setString(1, financeId);
        ResultSet rs = ps.executeQuery();
        System.out.println(ps);
        if (rs.next()) {
            str = rs.getString(1);
        } else {
            SimpleDateFormat simpledateformat = new SimpleDateFormat(this.yyyyMMdd);
            DecimalFormat decimalformat = new DecimalFormat(this.df);
            String date = simpledateformat.format(new Date());
            String s7 = " select MaxSerialNo from OBJECT_MAXSN  where TableName='FSP_FINANCE_PRODUCT_SZYQ' and columnName='FPR_FLOWNO' ";
            PreparedStatement ps2 = connection.prepareStatement(s7);
            ResultSet executeQuery = ps2.executeQuery();
            String maxSerialNo = null;
            if (executeQuery.next()) {
                String maxSerialNo2 = executeQuery.getString(1);
                if (maxSerialNo2.substring(0, this.yyyyMMdd.length()).equals(date.substring(0, this.yyyyMMdd.length()))) {
                    int intSort = Integer.parseInt(maxSerialNo2.substring(8));
                    String strSort = decimalformat.format(intSort + 1);
                    maxSerialNo = String.valueOf(date) + strSort;
                } else {
                    String strSort2 = decimalformat.format(1L);
                    maxSerialNo = String.valueOf(date) + strSort2;
                }
                String updateSQL = "update OBJECT_MAXSN set MaxSerialNo ='" + maxSerialNo + "'  where TableName = 'FSP_FINANCE_PRODUCT_SZYQ' and ColumnName = 'FPR_FLOWNO' ";
                ps2.executeUpdate(updateSQL);
            }
            str = String.valueOf("FPR") + maxSerialNo;
            PreparedStatement ps3 = connection.prepareStatement(insertProSql);
            ps3.setString(1, str);
            ps3.setString(2, "供应链金融");
            ps3.setString(3, financeId);
        }
        return str;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v13, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v6, types: [net.sf.json.JSONArray] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.sql.SQLException] */
    private JSONArray finQuery(JSONObject paramObject, Connection connection) {
        String financeName = "";
        StringBuffer queryBranch = new StringBuffer("SELECT FCB_NAME,FCB_WHOLENAME,FCB_FINANCEID FROM fsp_cor_branch_szyq ");
        if (paramObject.containsKey("financeName")) {
            financeName = paramObject.get("financeName").toString();
        }
        if (StringUtils.isNotBlank(financeName)) {
            queryBranch.append(" where FCB_WHOLENAME='" + financeName + "'");
        }
        ?? jSONArray = new JSONArray();
        try {
            ResultSet rs = connection.prepareStatement(queryBranch.toString()).executeQuery();
            while (true) {
                jSONArray = rs.next();
                if (jSONArray == 0) {
                    break;
                }
                JSONObject jsOb = new JSONObject();
                jsOb.put("financeNameDesc", rs.getString(1));
                jsOb.put("financeName", rs.getString(2));
                jsOb.put("financeId", rs.getString(3));
                jSONArray.add(jsOb);
            }
        } catch (SQLException e) {
            jSONArray.printStackTrace();
        }
        return jSONArray;
    }

    private JSONArray register(JSONObject paramObject, Connection connection) {
        Iterator<Object> it = paramObject.getJSONArray("data").iterator();
        JSONArray jsonArr = new JSONArray();
        while (it.hasNext()) {
            JSONObject jsOb = (JSONObject) it.next();
            String orgCode = jsOb.getString("orgCode");
            String corName = jsOb.getString("corName");
            String name = jsOb.getString("name");
            String phone = jsOb.getString("phone");
            try {
                queryCorNo(connection, orgCode, corName, name, phone);
            } catch (SQLException e) {
                Trace.log("LifeComm", "-----企业注册失败-----");
                JSONObject jsonOb = new JSONObject();
                jsonOb.put("orgCode", orgCode);
                jsonArr.add(jsonOb);
                e.printStackTrace();
            } catch (TranFailException e2) {
                Trace.log("LifeComm", "-----企业注册失败-----");
                JSONObject jsonOb2 = new JSONObject();
                jsonOb2.put("orgCode", orgCode);
                jsonArr.add(jsonOb2);
                e2.printStackTrace();
            }
        }
        return jsonArr;
    }

    private JSONArray repay(JSONObject paramObject, Connection connection) {
        PreparedStatement queryRepay;
        Iterator<Object> it = paramObject.getJSONArray("data").iterator();
        JSONArray jsonArr = new JSONArray();
        while (it.hasNext()) {
            JSONObject jsOb = (JSONObject) it.next();
            String SCFReqNo = jsOb.getString("SCFReqNo");
            String SCFLoanNo = jsOb.getString("SCFLoanNo");
            String orgCode = jsOb.getString("orgCode");
            String corName = jsOb.getString("corName");
            String financeId = jsOb.getString("financeId");
            String rlAmt = jsOb.getString("rlAmt");
            String rlDate = jsOb.getString("rlDate");
            String rlNo = jsOb.getString("rlNo");
            try {
                queryRepay = connection.prepareStatement(queryRepaySql);
                queryRepay.setString(1, SCFLoanNo);
            } catch (GENEConcurrentAccessException e) {
                Trace.log("LifeComm", "-----还款重复提交-----");
                JSONObject jsonOb = new JSONObject();
                jsonOb.put("SCFReqNo", SCFReqNo);
                jsonOb.put("SCFLoanNo", SCFLoanNo);
                jsonOb.put("errorMSG", "还款已存在");
                jsonArr.add(jsonOb);
                e.printStackTrace();
            } catch (TranFailException e2) {
                Trace.log("LifeComm", "-----还款失败-----");
                JSONObject jsonOb2 = new JSONObject();
                jsonOb2.put("SCFReqNo", SCFReqNo);
                jsonOb2.put("SCFLoanNo", SCFLoanNo);
                jsonArr.add(jsonOb2);
                e2.printStackTrace();
            } catch (GENEAccessException e3) {
                Trace.log("LifeComm", "-----还款失败-----");
                JSONObject jsonOb3 = new JSONObject();
                jsonOb3.put("SCFReqNo", SCFReqNo);
                jsonOb3.put("SCFLoanNo", SCFLoanNo);
                jsonOb3.put("errorMSG", "放款不存在");
                jsonArr.add(jsonOb3);
                e3.printStackTrace();
            } catch (SQLException e4) {
                Trace.log("LifeComm", "-----还款失败-----");
                JSONObject jsonOb4 = new JSONObject();
                jsonOb4.put("SCFReqNo", SCFReqNo);
                jsonOb4.put("SCFLoanNo", SCFLoanNo);
                jsonArr.add(jsonOb4);
                e4.printStackTrace();
            }
            if (queryRepay.executeQuery().next()) {
                throw new GENEConcurrentAccessException();
            }
            String userId = queryUserId(connection, financeId);
            String corNo = queryCorNo(connection, orgCode, corName, "", "");
            PreparedStatement queryLoan = connection.prepareStatement(queryLoanSql);
            queryLoan.setString(1, SCFLoanNo);
            ResultSet rs = queryLoan.executeQuery();
            if (rs.next()) {
                String reqNo = rs.getString(1);
                String rcrFlowNo = rs.getString(2);
                String loanFlowNo = rs.getString(3);
                String repayFlowNo = String.valueOf(this.worker2.nextId());
                PreparedStatement insRepay = connection.prepareStatement(insertRepaySql);
                insRepay.setString(1, repayFlowNo);
                insRepay.setString(2, loanFlowNo);
                insRepay.setString(3, reqNo);
                insRepay.setString(4, financeId);
                insRepay.setString(5, userId);
                insRepay.setString(6, rlDate);
                insRepay.setString(7, rlAmt);
                insRepay.setString(8, corNo);
                insRepay.setString(9, corName);
                insRepay.setString(10, rcrFlowNo);
                insRepay.setString(11, rlNo);
                insRepay.setString(12, SCFReqNo);
                PreparedStatement updateReq = connection.prepareStatement(updateReqSql);
                updateReq.setString(1, "60");
                updateReq.setString(2, reqNo);
                updateReq.executeUpdate();
                PreparedStatement updateRel = connection.prepareStatement(updateRelSql);
                updateRel.setString(1, "6");
                updateRel.setString(2, "60");
                updateRel.setString(3, rcrFlowNo);
                updateRel.executeUpdate();
                PreparedStatement updateLoan = connection.prepareStatement(updateLoanSql);
                updateLoan.setString(1, loanFlowNo);
                updateLoan.executeUpdate();
                PreparedStatement insFlow = connection.prepareStatement(insertFlowSql);
                String rofFlowNo = String.valueOf(this.worker2.nextId());
                insFlow.setString(1, rofFlowNo);
                insFlow.setString(2, reqNo);
                insFlow.setString(3, corNo);
                insFlow.setString(4, corName);
                insFlow.setString(5, orgCode);
                insFlow.setString(6, "2");
                insFlow.setString(7, financeId);
                insFlow.setString(8, userId);
                insFlow.setString(9, "需求管理员");
                insFlow.setString(10, "6");
                insFlow.setString(11, "60");
                insFlow.setString(12, "60");
                insFlow.setString(13, rcrFlowNo);
                insFlow.executeUpdate();
                System.out.println(insFlow);
            } else {
                throw new GENEAccessException();
            }
        }
        return jsonArr;
    }

    private JSONArray loan(JSONObject paramObject, Connection connection) {
        PreparedStatement queryLoan;
        Iterator<Object> it = paramObject.getJSONArray("data").iterator();
        JSONArray jsonArr = new JSONArray();
        while (it.hasNext()) {
            JSONObject jsOb = (JSONObject) it.next();
            String SCFReqNo = jsOb.getString("SCFReqNo");
            String SCFLoanNo = jsOb.getString("SCFLoanNo");
            String orgCode = jsOb.getString("orgCode");
            String corName = jsOb.getString("corName");
            String financeId = jsOb.getString("financeId");
            String loaStartDate = jsOb.getString("loaStartDate");
            String loaEndDate = jsOb.getString("loaEndDate");
            String loaBeginRate = jsOb.getString("loaBeginRate");
            String loaAmt = jsOb.getString("loaAmt");
            String loaLimit = jsOb.getString("loaLimit");
            try {
                queryLoan = connection.prepareStatement(queryLoanSql);
                queryLoan.setString(1, SCFLoanNo);
            } catch (TranFailException e) {
                Trace.log("LifeComm", "-----放款失败-----");
                JSONObject jsonOb = new JSONObject();
                jsonOb.put("SCFReqNo", SCFReqNo);
                jsonOb.put("SCFLoanNo", SCFLoanNo);
                jsonArr.add(jsonOb);
                e.printStackTrace();
            } catch (SQLException e2) {
                Trace.log("LifeComm", "-----放款失败-----");
                JSONObject jsonOb2 = new JSONObject();
                jsonOb2.put("SCFReqNo", SCFReqNo);
                jsonOb2.put("SCFLoanNo", SCFLoanNo);
                jsonArr.add(jsonOb2);
                e2.printStackTrace();
            } catch (GENEAccessException e3) {
                Trace.log("LifeComm", "-----放款失败-----");
                JSONObject jsonOb3 = new JSONObject();
                jsonOb3.put("SCFReqNo", SCFReqNo);
                jsonOb3.put("SCFLoanNo", SCFLoanNo);
                jsonOb3.put("errorMSG", "需求或授信不存在");
                jsonArr.add(jsonOb3);
                e3.printStackTrace();
            } catch (GENEConcurrentAccessException e4) {
                Trace.log("LifeComm", "-----放款重复提交-----");
                JSONObject jsonOb4 = new JSONObject();
                jsonOb4.put("SCFReqNo", SCFReqNo);
                jsonOb4.put("SCFLoanNo", SCFLoanNo);
                jsonOb4.put("errorMSG", "放款已存在");
                jsonArr.add(jsonOb4);
                e4.printStackTrace();
            }
            if (queryLoan.executeQuery().next()) {
                throw new GENEConcurrentAccessException();
            }
            PreparedStatement queryReq = connection.prepareStatement(queryReqSql);
            queryReq.setString(1, SCFReqNo);
            ResultSet rs = queryReq.executeQuery();
            if (rs.next()) {
                String reqNo = rs.getString(1);
                String userId = queryUserId(connection, financeId);
                String corNo = queryCorNo(connection, orgCode, corName, "", "");
                PreparedStatement queryCre = connection.prepareStatement(queryCreSql);
                queryCre.setString(1, SCFReqNo);
                ResultSet executeQuery = queryCre.executeQuery();
                if (executeQuery.next()) {
                    String creFlowNo = executeQuery.getString(1);
                    String creAmt = executeQuery.getString(2);
                    String rcrFlowNo = executeQuery.getString(3);
                    String loanFlowNo = String.valueOf(this.worker2.nextId());
                    PreparedStatement insLoan = connection.prepareStatement(insertLoanSql);
                    insLoan.setString(1, loanFlowNo);
                    insLoan.setString(2, reqNo);
                    insLoan.setString(3, financeId);
                    insLoan.setString(4, userId);
                    insLoan.setString(5, loaAmt);
                    insLoan.setString(6, loaLimit);
                    insLoan.setString(7, loaStartDate);
                    insLoan.setString(8, loaEndDate);
                    insLoan.setString(9, loaBeginRate);
                    insLoan.setString(10, loaBeginRate);
                    insLoan.setString(11, creAmt);
                    insLoan.setString(12, "2");
                    insLoan.setString(13, corNo);
                    insLoan.setString(14, corName);
                    insLoan.setString(15, "1");
                    insLoan.setString(16, "0");
                    insLoan.setString(17, "1");
                    insLoan.setString(18, creFlowNo);
                    insLoan.setString(19, rcrFlowNo);
                    insLoan.setString(20, SCFLoanNo);
                    insLoan.executeUpdate();
                    System.out.println(insLoan);
                    PreparedStatement updateReq = connection.prepareStatement(updateReqSql);
                    updateReq.setString(1, "40");
                    updateReq.setString(2, reqNo);
                    updateReq.executeUpdate();
                    PreparedStatement updateRel = connection.prepareStatement(updateRelSql);
                    updateRel.setString(1, "4");
                    updateRel.setString(2, "41");
                    updateRel.setString(3, rcrFlowNo);
                    updateRel.executeUpdate();
                    PreparedStatement insFlow = connection.prepareStatement(insertFlowSql);
                    String rofFlowNo = String.valueOf(this.worker2.nextId());
                    insFlow.setString(1, rofFlowNo);
                    insFlow.setString(2, reqNo);
                    insFlow.setString(3, corNo);
                    insFlow.setString(4, corName);
                    insFlow.setString(5, orgCode);
                    insFlow.setString(6, "2");
                    insFlow.setString(7, financeId);
                    insFlow.setString(8, userId);
                    insFlow.setString(9, "需求管理员");
                    insFlow.setString(10, "4");
                    insFlow.setString(11, "41");
                    insFlow.setString(12, "40");
                    insFlow.setString(13, rcrFlowNo);
                    insFlow.executeUpdate();
                    System.out.println(insFlow);
                } else {
                    throw new GENEAccessException();
                }
            } else {
                throw new GENEAccessException();
            }
        }
        return jsonArr;
    }

    private JSONArray credit(JSONObject paramObject, Connection connection) {
        String userId;
        String productId;
        PreparedStatement queryCre;
        Iterator<Object> it = paramObject.getJSONArray("data").iterator();
        JSONArray jsonArr = new JSONArray();
        while (it.hasNext()) {
            JSONObject jsOb = (JSONObject) it.next();
            String SCFReqNo = jsOb.getString("SCFReqNo");
            String creditNo = jsOb.getString("creditNo");
            String orgCode = jsOb.getString("orgCode");
            String corName = jsOb.getString("corName");
            String financeId = jsOb.getString("financeId");
            String dealUser = jsOb.getString("dealUser");
            String userPhone = jsOb.getString("userPhone");
            String creditAmt = jsOb.getString("creditAmt");
            String creditStartDate = jsOb.getString("creditStartDate");
            String creditEndDate = jsOb.getString("creditEndDate");
            String guaType = jsOb.getString("guaType");
            try {
                userId = queryUserId(connection, financeId);
                productId = queryPro(connection, financeId);
                queryCre = connection.prepareStatement(queryCreSql);
                queryCre.setString(1, SCFReqNo);
            } catch (TranFailException e) {
                Trace.log("LifeComm", "-----授信失败-----");
                JSONObject jsonOb = new JSONObject();
                jsonOb.put("SCFReqNo", SCFReqNo);
                jsonArr.add(jsonOb);
                e.printStackTrace();
            } catch (GENEConcurrentAccessException e2) {
                Trace.log("LifeComm", "-----授信重复提交-----");
                JSONObject jsonOb2 = new JSONObject();
                jsonOb2.put("SCFReqNo", SCFReqNo);
                jsonOb2.put("errorMSG", "授信已存在");
                jsonArr.add(jsonOb2);
                e2.printStackTrace();
            } catch (GENEAccessException e3) {
                Trace.log("LifeComm", "-----授信失败-----");
                JSONObject jsonOb3 = new JSONObject();
                jsonOb3.put("SCFReqNo", SCFReqNo);
                jsonOb3.put("errorMSG", "需求不存在");
                jsonArr.add(jsonOb3);
                e3.printStackTrace();
            } catch (SQLException e4) {
                Trace.log("LifeComm", "-----授信失败-----");
                JSONObject jsonOb4 = new JSONObject();
                jsonOb4.put("SCFReqNo", SCFReqNo);
                jsonArr.add(jsonOb4);
                e4.printStackTrace();
            }
            if (queryCre.executeQuery().next()) {
                throw new GENEConcurrentAccessException();
            }
            PreparedStatement queryReq = connection.prepareStatement(queryReqSql);
            queryReq.setString(1, SCFReqNo);
            ResultSet rs = queryReq.executeQuery();
            if (rs.next()) {
                String reqNo = rs.getString(1);
                String rcrFlowNo = String.valueOf(this.worker2.nextId());
                PreparedStatement insRel = connection.prepareStatement(insertRelSql);
                insRel.setString(1, rcrFlowNo);
                insRel.setString(2, reqNo);
                insRel.setString(3, financeId);
                insRel.setString(4, userId);
                insRel.setString(5, "3");
                insRel.setString(6, "30");
                insRel.executeUpdate();
                System.out.println(insRel);
                String freFlowNo = String.valueOf(this.worker2.nextId());
                PreparedStatement insExa = connection.prepareStatement(insertExamSql);
                insExa.setString(1, freFlowNo);
                insExa.setString(2, rcrFlowNo);
                insExa.setString(3, reqNo);
                insExa.setString(4, financeId);
                insExa.setString(5, userId);
                insExa.setString(6, productId);
                insExa.executeUpdate();
                System.out.println(insExa);
                String corNo = queryCorNo(connection, orgCode, corName, "", "");
                String creFlowNo = String.valueOf(this.worker2.nextId());
                PreparedStatement insCred = connection.prepareStatement(insertCreditSql);
                insCred.setString(1, creFlowNo);
                insCred.setString(2, rcrFlowNo);
                insCred.setString(3, reqNo);
                insCred.setString(4, financeId);
                insCred.setString(5, userId);
                insCred.setString(6, creditStartDate);
                insCred.setString(7, creditEndDate);
                insCred.setString(8, corNo);
                insCred.setString(9, corName);
                insCred.setString(10, dealUser);
                insCred.setString(11, "30");
                insCred.setString(12, creditNo);
                insCred.setString(13, creditAmt);
                insCred.setString(14, userPhone);
                insCred.setString(15, SCFReqNo);
                insCred.executeUpdate();
                System.out.println(insCred);
                PreparedStatement insGroup = connection.prepareStatement(insertCreditGroupSql);
                insGroup.setString(1, creFlowNo);
                insGroup.setString(2, reqNo);
                insGroup.setString(3, creditAmt);
                insGroup.setString(4, financeId);
                insGroup.setString(5, "1");
                insGroup.setString(6, guaType);
                insGroup.executeUpdate();
                System.out.println(insGroup);
                PreparedStatement updateReq = connection.prepareStatement(updateReqSql);
                updateReq.setString(1, "30");
                updateReq.setString(2, reqNo);
                updateReq.executeUpdate();
                PreparedStatement updateRel = connection.prepareStatement(updateRelSql);
                updateRel.setString(1, "3");
                updateRel.setString(2, "30");
                updateRel.setString(3, rcrFlowNo);
                updateRel.executeUpdate();
                PreparedStatement insFlow = connection.prepareStatement(insertFlowSql);
                String rofFlowNo = String.valueOf(this.worker2.nextId());
                insFlow.setString(1, rofFlowNo);
                insFlow.setString(2, reqNo);
                insFlow.setString(3, corNo);
                insFlow.setString(4, corName);
                insFlow.setString(5, orgCode);
                insFlow.setString(6, "2");
                insFlow.setString(7, financeId);
                insFlow.setString(8, userId);
                insFlow.setString(9, "需求管理员");
                insFlow.setString(10, "1");
                insFlow.setString(11, "10");
                insFlow.setString(12, "10");
                insFlow.setString(13, rcrFlowNo);
                insFlow.executeUpdate();
                System.out.println(insFlow);
                String rofFlowNo2 = String.valueOf(this.worker2.nextId());
                insFlow.setString(1, rofFlowNo2);
                insFlow.setString(10, "2");
                insFlow.setString(11, "20");
                insFlow.setString(12, "20");
                insFlow.executeUpdate();
                System.out.println(insFlow);
                String rofFlowNo3 = String.valueOf(this.worker2.nextId());
                insFlow.setString(1, rofFlowNo3);
                insFlow.setString(10, "2");
                insFlow.setString(11, "21");
                insFlow.setString(12, "20");
                insFlow.executeUpdate();
                System.out.println(insFlow);
                String rofFlowNo4 = String.valueOf(this.worker2.nextId());
                insFlow.setString(1, rofFlowNo4);
                insFlow.setString(10, "3");
                insFlow.setString(11, "30");
                insFlow.setString(12, "30");
                insFlow.executeUpdate();
                System.out.println(insFlow);
            } else {
                throw new GENEAccessException();
            }
        }
        return jsonArr;
    }

    private JSONArray pubReq(JSONObject paramObject, Connection connection) {
        PreparedStatement queryReq;
        Iterator<Object> it = paramObject.getJSONArray("data").iterator();
        JSONArray jsonArr = new JSONArray();
        while (it.hasNext()) {
            JSONObject jsOb = (JSONObject) it.next();
            String SCFReqNo = jsOb.getString("SCFReqNo");
            String orgCode = jsOb.getString("orgCode");
            String corName = jsOb.getString("corName");
            String financeAmt = jsOb.getString("financeAmt");
            String financeDeadLine = jsOb.getString("financeDeadLine");
            String conName = jsOb.getString("conName");
            String conPhone = jsOb.getString("conPhone");
            String financePurpose = jsOb.getString("financePurpose");
            String[] strArr = jsOb.getString("selectBranchValue").split("|");
            Object msgContent = jsOb.get("msgContent");
            Object msgRemark = jsOb.get("msgRemark");
            String pubTime = jsOb.getString("pubTime");
            String financeRate = jsOb.getString("financeRate");
            String financeType = jsOb.getString("financeType");
            Date da = new Date();
            SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
            try {
                queryReq = connection.prepareStatement(queryReqSql);
                queryReq.setString(1, SCFReqNo);
            } catch (SQLException e) {
                Trace.log("LifeComm", "-----发布需求失败-----");
                JSONObject jsonOb = new JSONObject();
                jsonOb.put("SCFReqNo", SCFReqNo);
                jsonArr.add(jsonOb);
                e.printStackTrace();
            } catch (TranFailException e2) {
                Trace.log("LifeComm", "-----发布需求失败-----");
                JSONObject jsonOb2 = new JSONObject();
                jsonOb2.put("SCFReqNo", SCFReqNo);
                jsonArr.add(jsonOb2);
                e2.printStackTrace();
            } catch (GENEConcurrentAccessException e3) {
                Trace.log("LifeComm", "-----需求重复提交-----");
                JSONObject jsonOb3 = new JSONObject();
                jsonOb3.put("SCFReqNo", SCFReqNo);
                jsonOb3.put("errorMSG", "需求已存在");
                jsonArr.add(jsonOb3);
                e3.printStackTrace();
            }
            if (queryReq.executeQuery().next()) {
                throw new GENEConcurrentAccessException();
                break;
            }
            String corNo = queryCorNo(connection, orgCode, corName, "", "");
            String reqNo = String.valueOf(sdf.format(da).substring(2)) + String.format("%04d", Integer.valueOf(Integer.parseInt(LifeDBAccess.getSequenceNo(connection, "reqNo"))));
            PreparedStatement insReq = connection.prepareStatement(insertReqSql);
            insReq.setString(1, reqNo);
            insReq.setString(2, corNo);
            insReq.setString(3, financeAmt);
            insReq.setString(4, financeDeadLine);
            insReq.setString(5, strArr.length > 0 ? "1" : "0");
            insReq.setString(6, financePurpose);
            insReq.setObject(7, msgContent);
            insReq.setObject(8, msgRemark);
            insReq.setString(9, conName);
            insReq.setString(10, conPhone);
            insReq.setString(11, SCFReqNo);
            insReq.setString(12, pubTime);
            insReq.setString(13, financeRate);
            insReq.setString(14, financeRate);
            insReq.setString(15, financeType);
            insReq.executeUpdate();
            System.out.println(insReq);
            if (strArr.length > 0) {
                for (String financeId : strArr) {
                    PreparedStatement insFin = connection.prepareStatement(insertFinSql);
                    insFin.setString(1, reqNo);
                    insFin.setString(2, financeId);
                    insFin.executeUpdate();
                }
            }
            PreparedStatement insReqFlow = connection.prepareStatement(insertReqFlowSql);
            String flowNo = String.valueOf(this.worker2.nextId());
            insReqFlow.setString(1, flowNo);
            insReqFlow.setString(2, reqNo);
            insReqFlow.setString(3, corNo);
            insReqFlow.setString(4, corName);
            insReqFlow.setString(5, orgCode);
            insReqFlow.setString(6, "3");
            insReqFlow.setString(7, "01");
            insReqFlow.setString(8, pubTime);
            insReqFlow.executeUpdate();
            System.out.println(insReqFlow);
        }
        return jsonArr;
    }

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        super.doPost(req, resp);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v11 */
    /* JADX WARN: Type inference failed for: r0v26 */
    /* JADX WARN: Type inference failed for: r0v7 */
    /* JADX WARN: Type inference failed for: r0v8 */
    /* JADX WARN: Type inference failed for: r0v9, types: [net.sourceforge.pinyin4j.format.exception.BadHanyuPinyinOutputFormatCombination] */
    public String changeToPY(String str) {
        String str2;
        HanyuPinyinOutputFormat hanyuPinyinOutputFormat = new HanyuPinyinOutputFormat();
        hanyuPinyinOutputFormat.setCaseType(HanyuPinyinCaseType.LOWERCASE);
        hanyuPinyinOutputFormat.setToneType(HanyuPinyinToneType.WITHOUT_TONE);
        hanyuPinyinOutputFormat.setVCharType(HanyuPinyinVCharType.WITH_V);
        char[] charArray = str.trim().toCharArray();
        String str3 = "";
        ?? r0 = 0;
        int i = 0;
        while (true) {
            try {
                r0 = i;
                if (r0 >= charArray.length) {
                    break;
                }
                if (Character.toString(charArray[i]).matches("[\\u4E00-\\u9FA5]+")) {
                    str2 = String.valueOf(str3) + PinyinHelper.toHanyuPinyinStringArray(charArray[i], hanyuPinyinOutputFormat)[0];
                    str3 = str2;
                } else {
                    str2 = String.valueOf(str3) + Character.toString(charArray[i]);
                    str3 = str2;
                }
                i++;
                r0 = str2;
            } catch (BadHanyuPinyinOutputFormatCombination e) {
                r0.printStackTrace();
            }
        }
        return str3;
    }

    public Long calMonth(String dateStr1, String dateStr2) throws ParseException {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
        Date date1 = sdf.parse(dateStr1);
        Date date2 = sdf.parse(dateStr2);
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date1);
        long timeInMillis1 = calendar.getTimeInMillis();
        calendar.setTime(date2);
        return Long.valueOf(Math.round((calendar.getTimeInMillis() - timeInMillis1) / 2.592E9d));
    }

    public static void main(String[] args) {
    }
}
